Bug 45336 - [i915] Intel AMT kvm-over-ip screen remains blank on headless sytems
Summary: [i915] Intel AMT kvm-over-ip screen remains blank on headless sytems
Status: CLOSED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: lowest enhancement
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-28 06:50 UTC by Floris Bos
Modified: 2017-07-24 23:02 UTC (History)
6 users (show)

See Also:
i915 platform: HSW
i915 features: display/Other


Attachments
regdumper information (11.10 KB, text/plain)
2012-02-17 13:37 UTC, Floris Bos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Floris Bos 2012-01-28 06:50:35 UTC
I would like to use the Intel vPRO AMT KVM-over-IP feature to remotely manage systems.
However I noticed that when there is no monitor attached to the system, the KVM-over-IP display remains blank as well.

- The moment I attach a VGA cable to the system the KVM-over-IP display does appear (even when the monitor itself is powered off)

- When setting the boot option "i915.modeset=0" it does work properly without cable, making me think this something that can be fixed in the DRM code.


Tested with Centos 6.2 and Debian Squeeze. Default kernel.
Mainboard: Intel DQ67
Comment 1 Daniel Vetter 2012-01-28 07:02:05 UTC
Paulo Zanoni has recently been working on KVMr stuff. Reassigning to him.
Comment 2 Paulo Zanoni 2012-02-17 12:01:52 UTC
(In reply to comment #0)
> I would like to use the Intel vPRO AMT KVM-over-IP feature to remotely manage systems.
> However I noticed that when there is no monitor attached to the system, the KVM-over-IP display remains blank as well.

I can reproduce this, with the difference that about a minute after I connect, VNC gives me an error message and then disconnects me ("Connection to remote machine stopped: Reason: Error: 0x80862000: Unsupported or inactive display adapter").

Do you see this error message?

- If no: which VNC client are you using? Standard or Redirect port? Can you ssh to the machine while the monitor is still disconnected and send the output of intel_reg_dumper to me?
- If yes: ok, we have the same problem, it will be fixed.

http://intellinuxgraphics.org/intel_reg_dumper.html
Comment 3 Floris Bos 2012-02-17 13:37:49 UTC
Created attachment 57229 [details]
regdumper information

>Do you see this error message?

Server just disconnects after a while.

Be aware that the official VNC protocol is very simplistic and does not have any official way to pass detailed error messages to the client.

So could be that it is a message the client always shows when it hasn't received any data for a while, instead of actual information from the server.


>If no: which VNC client are you using? Standard or Redirect port? Can you ssh to 
>the machine while the monitor is still disconnected and send the output of
>intel_reg_dumper to me?

Redirect port.
Our software ( http://www.noc-ps.com/ ) acts as a proxy server handling the AMT authentication, and we use a modified version of noVNC (  http://kanaka.github.com/noVNC/ ) to display the content in the client's web browser.

Attached regdump
Comment 4 Laurent GUERBY 2012-08-27 21:09:01 UTC
Hi,

Any news on this bug? I confirm it works as expected only with i915.modeset=0
Comment 5 Jesse Barnes 2012-12-12 19:15:15 UTC
You should be able to force a connector on using the video= boot option, see https://wiki.archlinux.org/index.php/Kernel_Mode_Setting#Forcing_modes for info.
Comment 6 Jesse Barnes 2012-12-12 19:16:07 UTC
sorry didn't mean to close, please let me know if the video= thing works for you.
Comment 7 Floris Bos 2012-12-12 22:23:04 UTC
(In reply to comment #5)
> You should be able to force a connector on using the video= boot option, see
> https://wiki.archlinux.org/index.php/Kernel_Mode_Setting#Forcing_modes for
> info.

Can also work around it with i915.modeset=0
But that is simply not an acceptable solution.

A popular use case of Intel AMT is to remotely install operating systems on computers far away, as AMT provides both KVM-over-IP as well as virtual media.
That really should work out-of-the-box, without having to edit parameters, which might be hard to do without visual.
Comment 8 Jesse Barnes 2012-12-12 22:29:55 UTC
You have to boot it somehow... and by default we shut everything off to save power if no outputs are connected.  I suppose we could change that default on AMT enabled systems and at least light up a pipe & plane for AMT to pull from...
Comment 9 Daniel Vetter 2013-11-18 17:42:27 UTC
I'll wontfix this - it's kinda a feature request and we can work around it by forcing the connector state already. Doing proper kvm output detection needs a bit of code, but judging by the amount of noise in this bugzilla the demand isn't high.
Comment 10 Dmitrii S. 2015-04-18 13:00:48 UTC
I can confirm this bug on an ubuntu 14.04 LTS system with CSM-Q87M-E43 motherboard running with Intel Core i7-4770T with the latest Intel open-source graphics for this release.
Same behaviour here: as soon as you attach a VGA cable the VNC connection stops giving you a black screen and works properly. This should definitely be fixed because it might not be obvious when you first encounter this and it should work out of the box.
Comment 11 Dmitrii S. 2015-07-29 10:23:20 UTC
(In reply to Jesse Barnes from comment #6)
> sorry didn't mean to close, please let me know if the video= thing works for
> you.

'nomodeset' and 'i915.modeset=0' had a strange effect for me: even with monitor connected the last thing I had shown on the monitor was the splash screen. I suspect this is because latest systems require KMS to be enabled.

Adding 'video=VGA-1:1280x1024@60me' helped and I got no black screen. 'e' option is mandatory here since it forces the system into thinking that there is a valid VGA signal coming from the monitor even if it isn't (the kernel.org doc for the video option is here https://www.kernel.org/doc/Documentation/fb/modedb.txt).

So my boot options line in /etc/default/grub looks like this now (don't forget to run sudo update-grub if you are on ubuntu or debian and want to reproduce)
GRUB_CMDLINE_LINUX_DEFAULT="video=VGA-1:1280x1024@60me"
Comment 12 michele.redolfi 2016-07-20 11:00:21 UTC
Just for debugging purpose, I tell you that on Dell Precision Tower 3620 doesn't work with 'video=VGA-1:1280x1024@60me', neither with 'nomodeset' and 'i915.modeset=0'.

It just work with a monitor attached. In my case don't think is a i915 issue, since it doesn't work even on the BIOS or boot process (with a monitor works without issues).
Comment 13 Jari Tahvanainen 2017-03-29 12:46:47 UTC
Marking this again as resolved+wontfix. Dmitrii - file another bug for you problem if valid with the latest kernel from drm-tip (see https://01.org/linuxgraphics/documentation/how-report-bugs).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.